<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <OutputPath>..\Bin</OutputPath>
    <NoWarn>1701;1702;1591</NoWarn>
    <DocumentationFile>..\Bin\Siger.ApiDNC.xml</DocumentationFile>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <OutputPath>..\Bin</OutputPath>
    <NoWarn>1701;1702;1591;</NoWarn>
    <DocumentationFile>..\Bin\Siger.ApiDNC.xml</DocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="wwwroot\**" />
    <Content Remove="wwwroot\**" />
    <EmbeddedResource Remove="wwwroot\**" />
    <None Remove="wwwroot\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="FluentScheduler" Version="5.3.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="3.1.5" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="3.1.3" />
    <PackageReference Include="SharpZipLib" Version="1.2.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Common\Siger.Middlelayer.Common\Siger.Middlelayer.Common.csproj" />
    <ProjectReference Include="..\..\Common\Siger.Middlelayer.Log\Siger.Middlelayer.Log.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Repositories\Siger.Middlelayer.DncRepository\Siger.Middlelayer.DncRepository.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Siger.Middlelayer.Dapper\Siger.Middlelayer.Dapper.csproj" />
    <ProjectReference Include="..\Siger.ApiCommon\Siger.ApiCommon.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="System.Web">
      <HintPath>C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.0\System.Web.dll</HintPath>
    </Reference>
  </ItemGroup>

</Project>
